<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.guadou.cs_cptservices.popup.PaymentPasswordPopup.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="293dp"
        android:layout_height="320dp"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_70dp"
            android:background="@drawable/shape_blue_top_round10">

            <ImageView
                android:id="@+id/iv_delete"
                android:layout_width="@dimen/d_35dp"
                android:layout_height="@dimen/d_35dp"
                android:layout_alignParentRight="true"
                android:layout_marginTop="@dimen/d_5dp"
                android:layout_marginRight="@dimen/d_5dp"
                android:padding="@dimen/d_5dp"
                binding:clicks="@{click.dismissPopup}"
                android:src="@drawable/disclaimers_delete" />

            <com.guadou.lib_baselib.font_text_view.TextViewBold
                android:id="@+id/tv_dialog_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="支付密码"
                android:textColor="@color/white"
                android:textSize="@dimen/d_22sp" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/shape_white_bottom_round10"
            android:orientation="vertical">


            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/tv_payment_method"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_15dp"
                android:layout_marginTop="@dimen/d_20dp"
                android:layout_marginRight="@dimen/d_15dp"
                android:gravity="center"
                android:text="提现"
                android:textColor="#000000"
                android:textSize="@dimen/d_21sp" />


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_15dp"
                android:layout_marginTop="@dimen/d_15dp"
                android:layout_marginRight="@dimen/d_15dp"
                android:layout_marginBottom="@dimen/d_18dp"
                android:background="#eee"
                android:paddingTop="@dimen/d_8dp"
                android:paddingBottom="@dimen/d_8dp">

                <TextView
                    android:id="@+id/tv_currency_sign"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_8dp"
                    android:text="SGD"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_10dp"
                    app:layout_constraintRight_toLeftOf="@+id/tv_money"
                    app:layout_constraintTop_toTopOf="@+id/tv_money" />

                <TextView
                    android:id="@+id/tv_money"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="93,026"
                    android:textColor="@color/app_blue"
                    android:textSize="@dimen/d_28dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_0.7dp"
                android:background="@color/divider_color" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:text="输入密码"
                android:textColor="#000000"
                android:textSize="@dimen/d_21sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_20dp"
                android:layout_marginTop="@dimen/d_16dp"
                android:focusable="true"
                android:focusableInTouchMode="true">


                <FrameLayout
                    android:id="@+id/frame_first_code"
                    android:layout_width="@dimen/d_36dp"
                    android:layout_height="@dimen/d_36dp"
                    android:background="@{click.curSelectedIndex>=0?@drawable/white_input_finish:@drawable/white_input_field}"
                    tools:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_first_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="numberPassword"
                        android:maxLength="1"
                        android:minEms="2"
                        android:text="@{click.et1Code}"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_20sp"
                        binding:onFocusGet="@{click.onCodeETFocusGet}"
                        binding:typefaceMedium="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_second_code"
                    android:layout_width="@dimen/d_36dp"
                    android:layout_height="@dimen/d_36dp"
                    android:layout_marginLeft="@dimen/d_6dp"
                    android:background="@{click.curSelectedIndex>=1?@drawable/white_input_finish:@drawable/white_input_field}"
                    tools:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_second_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="numberPassword"
                        android:maxLength="1"
                        android:minEms="2"
                        android:text="@{click.et2Code}"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_20sp"
                        binding:onFocusGet="@{click.onCodeETFocusGet}"
                        binding:typefaceMedium="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_third_code"
                    android:layout_width="@dimen/d_36dp"
                    android:layout_height="@dimen/d_36dp"
                    android:layout_marginLeft="@dimen/d_6dp"
                    android:background="@{click.curSelectedIndex>=2?@drawable/white_input_finish:@drawable/white_input_field}"
                    tools:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_third_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="numberPassword"
                        android:maxLength="1"
                        android:minEms="2"
                        android:text="@{click.et3Code}"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_20sp"
                        binding:onFocusGet="@{click.onCodeETFocusGet}"
                        binding:typefaceMedium="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_fourth_code"
                    android:layout_width="@dimen/d_36dp"
                    android:layout_height="@dimen/d_36dp"
                    android:layout_marginLeft="@dimen/d_6dp"
                    android:background="@{click.curSelectedIndex>=3?@drawable/white_input_finish:@drawable/white_input_field}"
                    tools:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_fourth_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="numberPassword"
                        android:maxLength="1"
                        android:minEms="2"
                        android:text="@{click.et4Code}"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_20sp"
                        binding:onFocusGet="@{click.onCodeETFocusGet}"
                        binding:typefaceMedium="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_fifth_code"
                    android:layout_width="@dimen/d_36dp"
                    android:layout_height="@dimen/d_36dp"
                    android:layout_marginLeft="@dimen/d_6dp"
                    android:background="@{click.curSelectedIndex>=4?@drawable/white_input_finish:@drawable/white_input_field}"
                    tools:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_fifth_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="numberPassword"
                        android:maxLength="1"
                        android:minEms="2"
                        android:text="@{click.et5Code}"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_20sp"
                        binding:onFocusGet="@{click.onCodeETFocusGet}"
                        binding:typefaceMedium="@{true}" />

                </FrameLayout>

                <FrameLayout
                    android:id="@+id/frame_sixth_code"
                    android:layout_width="@dimen/d_36dp"
                    android:layout_height="@dimen/d_36dp"
                    android:layout_marginLeft="@dimen/d_6dp"
                    android:background="@{click.curSelectedIndex>=5?@drawable/white_input_finish:@drawable/white_input_field}"
                    tools:background="@drawable/white_input_field">

                    <EditText
                        android:id="@+id/edit_text_sixth_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@android:color/transparent"
                        android:cursorVisible="false"
                        android:gravity="center"
                        android:inputType="numberPassword"
                        android:maxLength="1"
                        android:minEms="2"
                        android:text="@{click.et6Code}"
                        android:textColor="@color/dark_gray_text"
                        android:textSize="@dimen/d_20sp"
                        binding:onFocusGet="@{click.onCodeETFocusGet}"
                        binding:typefaceMedium="@{true}" />

                </FrameLayout>

            </LinearLayout>

            <EditText
                android:id="@+id/edit_text_hidden"
                android:layout_width="@dimen/d_1dp"
                android:layout_height="@dimen/d_1dp"
                android:layout_gravity="center_horizontal"
                android:background="@null"
                android:cursorVisible="false"
                android:gravity="center_horizontal"
                android:inputType="numberPassword"
                android:maxLength="6"
                android:textColor="@color/transparent"
                binding:onKeyDel="@{click.onKeyDelEvent}"
                binding:onTextChanged="@{click.onHidenChanged}" />

        </LinearLayout>

    </LinearLayout>

</layout>